﻿using DTO;
using EntityFrameworkLOL.Entities;
using Model;

namespace APILOL.Mapper
{
    public static class RunePageMapper
    {
        public static RunePageDTO ToDto(this RunePage runePage)
        {
            return new RunePageDTO()
            {
                Name = runePage.Name,
                Runes = runePage.Runes
            };
        }

        public static RunePage ToModel(this RunePageDTO runePage)
        {
            return new RunePage(runePage.Name);
        }

        public static RunePage ToModel(this RunePageEntity entity)
        {
            return new RunePage(entity.Name);
        }

        public static RunePageEntity ToEntity(this RunePage item)
        {
            return new RunePageEntity
            {
                Name = item.Name,
            };
        }
    }
}
